Name: x11-driver-input-hyperpen
Version: 1.4.1
Release: %mkrel 11
Summary: X.org input driver for HyperPen devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-hyperpen-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
Hyperpen is an X.org input driver for HyperPen devices.

%prep
%setup -q -n xf86-input-hyperpen-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/input/hyperpen_drv.la
%{_libdir}/xorg/modules/input/hyperpen_drv.so




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.4.1-11.mga4
+ Revision: 525431
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.4.1-10.mga4
+ Revision: 433141
- submit to core/release

* Thu May 30 2013 tv <tv> 1.4.1-9.mga4
+ Revision: 433094
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.4.1-8.mga4
+ Revision: 385938
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 sander85 <sander85> 1.4.1-7.mga3
+ Revision: 291055
- Fix release

* Thu Sep 06 2012 tv <tv> 1.4.1-3.mga3.nonfree
+ Revision: 288965
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 1.4.1-6.mga3
+ Revision: 256320
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.4.1-5.mga3
+ Revision: 252973
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.4.1-4.mga3
+ Revision: 249850
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 1.4.1-3.mga2
+ Revision: 177510
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.4.1-2.mga2
+ Revision: 153103
- rebuild for xserver-1.11
- new release

* Wed Jun 29 2011 tv <tv> 1.4.0-1.mga2
+ Revision: 116142
- new release
- drop patch 0 (merged)

* Sat Mar 05 2011 tmb <tmb> 1.3.0-6.mga1
+ Revision: 64717
- fix build with x11-server 1.10

  + tv <tv>
    - rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.3.0-4.mga1
+ Revision: 50143
- imported package x11-driver-input-hyperpen


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.3.0-4mdv2011.0
+ Revision: 595756
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.3.0-3mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Jan 19 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.3.0-2mdv2010.1
+ Revision: 493609
- Add upstream patch to work with abi 7 (makes package build again)
- Don't autoreconf

* Fri Feb 27 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3.0-1mdv2009.1
+ Revision: 345692
- New version 1.3.0

  + Thierry Vignaud <tv@mandriva.org>
    - fix group

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-2mdv2009.0
+ Revision: 265855
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-1mdv2009.0
+ Revision: 194321
- Update to version 1.2.0.

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.0-7mdv2008.1
+ Revision: 160483
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-6mdv2008.1
+ Revision: 156578
- re-enable rpm debug packages support

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.0-5mdv2008.1
+ Revision: 155659
- Updated BuildRequires and resubmit package.
- Disable debug package.
  Update BuildRequires.
  Add upstream fixes that should make the driver functional.
  Fix incorrect tag @mandriva to use xorg naming convention.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-input-aiptek-1.1.0@mandriva suggested on upstream
  Tag at git checkout afedccae164668128c6228542585cc27d241b7e6
  There is a tag named hyperpen-1_1_0, but since the only changes up to master
  are .gitignore/.cvsignore edits and change to use macros instead of hardcoded
  version number, the checkout described above was used for the tag
  xf86-input-aiptek-1.1.0@mandriva, that is suggested upstream and follows the
  same pattern of other repositories tags.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-4mdv2008.1
+ Revision: 98632
- minor spec cleanup
- build against xserver 1.4

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdv2008.0
+ Revision: 75663
- rebuild


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 16:03:02 (31708)
- fill in summary & descriptions for all input drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

